Redmine in a sub-URI does not work
2015-09-18 09:17 - Anton Wiedermann

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.1.0
Description

I'm trying to run Redmine 3.1-stable on an Apache httpd together with some other apps to support the development. To make tools
comfortably accessible | want all of them to run on the same port 80. VirtualHost running passenger runs on port 3000 without any
problems, and | can work with Redmine there. | have httpd proxy defined for /redmine and that works fine but even after defining
Redmine::Utils::relative_url_root = "/redmine" Redmine does not work correctly. Resources load fine (css, js) but links inside
application are not prefixed.

| tried several approaches and (desperately) their combinations from HowTo Install Redmine in a sub-URI but nothing works. There
are other resources referenced from the page which | tried as well without any success. | have also searched for issues on
redmine.org and tried few things/patches from there and still no luck.

version informationversion information

.stable.14601

Redmine version 1.0
2.3-pl73 (2015-08-18) [x86_64-1inux]
2.4

1

o
Ruby version 2.
Rails version 4

Database adapter Mysql2

There are many discussions around this but all seem to be several years old so either I'm missing something or this is bug
reintroduced?

History

#1 - 2015-09-18 09:20 - Anton Wiedermann

now after some more searching | found Problem running Redmine on a subfolder which (is recent so I'm not the only one!l :) ) seems to suggest one
possible solution, not sure if appropriate though (I'm no ruby/rails expert and I'd prefer if this worked out of the box)

#2 - 2015-09-18 09:54 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for questions.
It depends on web servers (passenger, thin, puma, etc.).

#3 - 2015-09-18 14:12 - Anton Wiedermann

figured it out after all... easy! :)

Perhaps this will help someone save few hours of work.. (I will not explain the values but it's not that difficult to understand once it's all written down in
one place)

1. append Redmine::Utils::relative_url_root = /redmine’ to redmine/conf/environment.rb
2. create passenger virtual host on port 3000 for redmine with sub-uri /redmine ... > vim /etc/httpd/conf.d/redmine.conf

Listen 3000

<VirtualHost *:3000>
ServerName 127.0.0.1
# document root for this server
DocumentRoot /var/www/redmine/public
# passenger config
https://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_in_a_sub-URI
https://www.redmine.org/boards/1/topics/48295

PassengerRuby /usr/local/bin/ruby
PassengerAppRoot /var/www/redmine
PassengerBaseURI /redmine
PassengerDefaultUser redmine
# rails config
RailsBaseURI /redmine
RailsEnv production
# Relax Apache security settings
<Directory /var/www/redmine/public>
Allow from all
Options -MultiViews
# Uncomment this if you're on Apache >= 2.4:
# Require all granted
</Directory>
</VirtualHost>

3. create proxy from port 80 and /redmine to the redmine virtual host ... > vim /etc/httpd/conf/httpd.conf

<VirtualHost *:80>
ServerName server
ServerAlias www.server
ProxyPass /redmine http://localhost:3000/redmine
ProxyPassReverse /redmine http://localhost:3000/redmine
</VirtualHost>
